API Reference
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
  1. customers
  • Introduction
  • Authentication & authorization
  • Environments
  • Transaction statuses
  • Notifications
  • Response codes
  • Error codes
  • purchase
    • Create transaction
    • Capture transaction
    • Transaction details using ZEN id
    • Transaction details using merchantTransactionId
    • Cancel transaction
    • Renew authorization
    • Validate ApplePay session
    • Calculate cashback
  • refund
    • Create transaction
  • payout
    • Create transaction
    • Transaction details using ZEN id
    • Transaction details using merchantTransactionId
    • Capture transaction
    • Cancel transaction
    • Renew transaction
    • Transaction details using ZEN id
    • Refresh transaction offers
    • Select transaction offer
  • payment-methods
    • Returns information about payment methods
    • Returns information about payment methods
  • payment-links
    • Create payment link
    • Fetch payment links list
    • Fetch payment link
    • Update payment link
  • customers
    • Create customer
      POST
    • Remove customer
      DELETE
    • Add customer recipient
      POST
    • Add payout card
      POST
    • Remove payout card
      DELETE
    • Fetch payout card list
      GET
    • Update payout card details
      PATCH
    • Fetch customer
      GET
    • Fetch card
      GET
    • Update card details
      PATCH
    • Remove card
      DELETE
    • Fetch card list
      GET
    • Fetch customer recipient list
      GET
    • Fetch customer recipient
      GET
    • Update customer details recipient
      PATCH
    • Remove customer recipient
      DELETE
    • Add customer payout card
      POST
    • Fetch saved payout card V3
      GET
    • Removes customer saved payout card V3
      DELETE
    • Fetch blik paymentTokens list
      GET
    • Remove Blik paymentToken
      DELETE
    • Fetch Blik paymentToken
      GET
    • Fetch saved merchant customer payout recipient list V3
      GET
    • Verify merchant's customer payout recipient card
      POST
    • Fetch saved merchant customer's payout card V3
      GET
    • Update merchant payout card alias
      PATCH
    • Removes merchant customer payout card.
      DELETE
  • authorization
    • Calculate authorization amount
    • Calculate reversed authorization amount
  • reports
    • Download report file
  1. customers

Fetch card list

GET
https://api.zen.com/v3/customers/{merchantCustomerId}/payments/card
Fetch saved card list of all cards belonging to the customer. It is possible to fetch card list of one customer at a time.
Customer is able to save a card data during purchase process in the Merchant's service. Then the customer do not need to enter card details during subsequent purchases.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Basic Auth
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
or
Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.zen.com/v3/customers//payments/card?itemsPerPage=undefined&page=undefined&direction=undefined&sortBy=undefined' \
--header 'request-id;' \
--header 'Authorization: <api-key>'

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Example
{
    "data": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
            "firstTransactionId": "03056aca-c5f2-4f6b-a174-27e4af663155",
            "cardName": "string",
            "cardHolderName": "string",
            "cardHolder": {
                "firstName": "string",
                "middleName": "string",
                "lastName": "string",
                "birthDate": "string"
            },
            "addressLine1": "string",
            "addressLine2": "string",
            "addressCity": "string",
            "addressCountry": "string",
            "addressState": "string",
            "addressZip": "string",
            "organization": "string",
            "brand": "string",
            "bank": "string",
            "country": "str",
            "tokenizationMethod": "apple_pay",
            "last4": "stri",
            "expMonth": "st",
            "expYear": "stri",
            "isDefault": true,
            "eea": true,
            "commercial": true,
            "createdAt": "2019-08-24T14:15:22.123Z"
        }
    ],
    "meta": {
        "itemsPerPage": "10",
        "page": "1",
        "direction": "asc",
        "sortBy": "createdAt"
    }
}
🟠404Record Not Found
Modified at 2026-07-29 09:41:49
Previous
Remove card
Next
Fetch customer recipient list